ZMQ_VERSION(3)

NAME
zmq_version - report 0MQ library version

SYNOPSIS

void zmq_version (int *major, int *minor, int *patch);

DESCRIPTION

The zmq_version() function shall fill in the integer variables pointed to by the major, minor and patch arguments with the major, minor and patch level components of the 0MQ library version.

This functionality is intended for applications or language bindings dynamically linking to the 0MQ library that wish to determine the actual version of the 0MQ library they are using.

RETURN VALUE

There is no return value.

ERRORS

No errors are defined.

EXAMPLE

Printing out the version of the 0MQ library.

    int major, minor, patch;
    zmq_version (&major, &minor, &patch);
    printf ("Current 0MQ version is %d.%d.%d\n", major, minor, patch);

SEE ALSO

zmq(7)

AUTHORS

The 0MQ documentation was written by Martin Sustrik <sustrik@250bpm.com[1]> and Martin Lucina <martin@lucina.net[2]>.

NOTES

1.  sustrik@250bpm.com
    mailto:sustrik@250bpm.com

2.  martin@lucina.net
    mailto:martin@lucina.net